This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022219 - Oracle Java plugin version string not updated
Oracle Java plugin version string not updated
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 14:13 EDT by Clodoaldo Pinto Neto
Modified: 2013-10-24 10:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 09:16:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen shot of about:plugins (149.17 KB, image/png)
2013-10-22 14:13 EDT, Clodoaldo Pinto Neto
no flags Details
Screen shot of Oracle Java version test (116.16 KB, image/png)
2013-10-22 14:14 EDT, Clodoaldo Pinto Neto
no flags Details

  None (edit)
Description Clodoaldo Pinto Neto 2013-10-22 14:13:36 EDT
Created attachment 815138 [details]
Screen shot of about:plugins

Description of problem:

After updating the Oracle Java Plugin from 1.7.0_25 to 1.7.0_45 using the rpm package jre-7u45-linux-x64.rpm from Oracle:

# yum localupdate jre-7u45-linux-x64.rpm

The version string shown in about:plugins does not change although the path is the correct one to the new version. Image attached.

Also the version test from http://www.java.com/en/download/installed.jsp shows the correct version. Image attached.

Version-Release number of selected component (if applicable):

24.0-1.fc18

How reproducible:

Always

Steps to Reproduce:

Update the Oracle Java plugin with the rpm from Oracle.

Actual results:

Wrong version detected

Expected results:

Correct version detected

Additional info:

It makes it difficult to use a site that makes use of the plugin.

# java -version
java version "1.7.0_45"
Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)

# alternatives --config libjavaplugin.so.x86_64

There are 3 programs which provide 'libjavaplugin.so.x86_64'.

  Selection    Command
-----------------------------------------------
*+ 1           /usr/java/latest/lib/amd64/libnpjp2.so
   2           /usr/lib64/IcedTeaPlugin.so
   3           /usr/java/jre1.7.0_45/lib/amd64/libnpjp2.so

# diff -s /usr/java/latest/lib/amd64/libnpjp2.so /usr/java/jre1.7.0_45/lib/amd64/libnpjp2.so 
Files /usr/java/latest/lib/amd64/libnpjp2.so and /usr/java/jre1.7.0_45/lib/amd64/libnpjp2.so are identical
Comment 1 Clodoaldo Pinto Neto 2013-10-22 14:14:59 EDT
Created attachment 815139 [details]
Screen shot of Oracle Java version test
Comment 2 Clodoaldo Pinto Neto 2013-10-22 15:00:35 EDT
Just tried Fedora 19 and it works as expected
Comment 3 Martin Stransky 2013-10-24 09:16:34 EDT
The plugin description is get directly from the plugin. And we have the same Firefox version on all Fedoras. Plus the Oracle Java plugin is a closed-source software...so I don't believe it's a bug in Firefox.
Comment 4 Clodoaldo Pinto Neto 2013-10-24 10:03:45 EDT
Martin, It is not a belief or faith matter, like in open source vs the closed source infidels. It is about testing and reproducing. I tested in both 19 and 18. Did you test in any? Can you reproduce it? That would be enough to send me upstream.
Comment 5 Martin Stransky 2013-10-24 10:15:29 EDT
Well, frankly I'm not going to install Oracle Java on my Fedora box. It's a closed source software with possible security holes. And Fedora does not ship it...so we don't even support it.


Anyway, the plugin claims its name/version via NPAPI calls (see http://gplflash.sourceforge.net/gplflash2_blog/npapi.html#SEC9) so it does not depend on Firefox. Firefox just shows what the plugin posts by NP_GetValue().

And when the same Firefox version shows different plugin responses, I don't expect it's a problem in Firefox itself.

Note You need to log in before you can comment on or make changes to this bug.